<?php

/**
 * Template part for displaying Page Header
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package polimark
 */
?>

<section class="page-header">
    <div class="image-layer"></div><!-- /.image-layer -->
    <div class="container">
        <?php $polimark_page_title_text = !empty(get_post_meta(get_the_ID(), 'polimark_set_header_title', true)) ? get_post_meta(get_the_ID(), 'polimark_set_header_title', true) : get_the_title(); ?>
        <h2 class="page-header__title">
            <?php if (!is_page()) : ?>
                <?php polimark_page_title(); ?>
            <?php else : ?>
                <?php echo wp_kses($polimark_page_title_text, 'polimark_allowed_tags') ?>
            <?php endif; ?>
        </h2>

        <?php $polimark_page_sub_title = !empty(get_post_meta(get_the_ID(), 'polimark_set_header_sub_title', true)) ? get_post_meta(get_the_ID(), 'polimark_set_header_sub_title', true) : get_theme_mod('page_header_subtext', esc_html__('Pore et dolore magna aliqu sit ame spor incididunt ut labore', 'polimark')); ?>

        <p class="page-header__text"><?php echo wp_kses($polimark_page_sub_title, 'polimark_allowed_tags'); ?></p>

        <?php $polimark_page_meta_breadcumb_status = empty(get_post_meta(get_the_ID(), 'polimark_show_page_breadcrumb', true)) ? 'on' : get_post_meta(get_the_ID(), 'polimark_show_page_breadcrumb', true); ?>

        <?php if (function_exists('bcn_display') && 'on' == get_theme_mod('breadcrumb_opt', 'off') && 'on' == $polimark_page_meta_breadcumb_status) : ?>
            <div class="breadcrumbs page-header__breadcrumbs" typeof="BreadcrumbList" vocab="https://schema.org/">
                <?php bcn_display(); ?>
            </div>
        <?php endif; ?>
    </div><!-- /.container -->
</section><!-- /.page-header -->